Bug 88164 - Rpm still hangs when installing
Rpm still hangs when installing
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
9
All Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-07 06:17 EDT by Peter Backlund
Modified: 2007-04-18 12:52 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-14 11:03:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Backlund 2003-04-07 06:17:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Rpm still seems to hang sometimes when installing software, requirnig the old
pkill -9 rpm and rm /var/lib/rpm/__db*. I can't find the RH 8 bug, but his
probably should be added to that bug.

This happens in maybe 10% of my attempts to install software. Here's an output
of lsof -p `pgrep rpm`, when rpm has hung:

  OMMAND   PID USER   FD   TYPE DEVICE     SIZE   NODE NAME
rpm     30091 root  cwd    DIR  22,66     4096      2 /
rpm     30091 root  rtd    DIR  22,66     4096      2 /
rpm     30091 root  txt    REG  22,66    77404 959623 /bin/rpm
rpm     30091 root  mem    REG  22,66   103044 601525 /lib/ld-2.3.2.so
rpm     30091 root  mem    REG  22,66 30301680 471438 /usr/lib/locale/locale-archive
rpm     30091 root  mem    REG  22,66    16384 211774 /var/lib/rpm/__db.001
rpm     30091 root  mem    REG  22,66    52472 601546 /lib/libnss_files-2.3.2.so
rpm     30091 root  mem    REG  22,66   298016 357774 /usr/lib/librpm-4.2.so
rpm     30091 root  mem    REG  22,66   898968 357776 /usr/lib/librpmdb-4.2.so
rpm     30091 root  mem    REG  22,66   349912 357777 /usr/lib/librpmio-4.2.so
rpm     30091 root  mem    REG  22,66    26896 357745 /usr/lib/libpopt.so.0.0.0
rpm     30091 root  mem    REG  22,66    62272 357714 /usr/lib/libelf-0.76.so
rpm     30091 root  mem    REG  22,66    79744  32584 /lib/tls/libpthread-0.29.so
rpm     30091 root  mem    REG  22,66    37552 601558 /lib/librt-2.3.2.so
rpm     30091 root  mem    REG  22,66    62128 357707 /usr/lib/libbz2.so.1.0.2
rpm     30091 root  mem    REG  22,66  1318912 211775 /var/lib/rpm/__db.002
rpm     30091 root  mem    REG  22,66   458752 211776 /var/lib/rpm/__db.003
rpm     30091 root  mem    REG  22,66  1531064  32580 /lib/tls/libc-2.3.2.so
rpm     30091 root    0u   CHR  136,5               7 /dev/pts/5
rpm     30091 root    1u   CHR  136,5               7 /dev/pts/5
rpm     30091 root    2u   CHR  136,5               7 /dev/pts/5
rpm     30091 root    3u   REG  22,66 31031296 211330 /var/lib/rpm/Packages
rpm     30091 root    4u   REG  22,66    45056 211332 /var/lib/rpm/Name
rpm     30091 root    5u   REG  22,66  5398528 211331 /var/lib/rpm/Basenames
rpm     30091 root    6r   REG  22,66   419593 456146
/var/cache/apt/archives/nmap_2%3a3.20-fr3_i386.rpm


And here's ouput from gdb --pid=`pgrep rpm`:

ttaching to process 30091
Reading symbols from /bin/rpm...(no debugging symbols found)...done.
Reading symbols from /usr/lib/librpm-4.2.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/librpm-4.2.so
Reading symbols from /usr/lib/librpmdb-4.2.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/librpmdb-4.2.so
Reading symbols from /usr/lib/librpmio-4.2.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/librpmio-4.2.so
Reading symbols from /usr/lib/libpopt.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libpopt.so.0
Reading symbols from /usr/lib/libelf.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libelf.so.1
Reading symbols from /lib/tls/libpthread.so.0...(no debugging symbols found)...done.
[New Thread 1075856640 (LWP 30091)]
Loaded symbols for /lib/tls/libpthread.so.0
Reading symbols from /lib/librt.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/librt.so.1
Reading symbols from /usr/lib/libbz2.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libbz2.so.1
Reading symbols from /lib/tls/libc.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/tls/libc.so.6
Reading symbols from /lib/ld-linux.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/ld-linux.so.2
Reading symbols from /lib/libnss_files.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/libnss_files.so.2
0xffffe002 in ?? ()
(gdb)

gdb doesn't seems too helpful, other than maybe the last row (dunno what that
is?). Would it be helpful to build the debug-enabled version of rpm and submit
output from it?

Version-Release number of selected component (if applicable):
rpm-4.2-0.69

How reproducible:
Sometimes

Steps to Reproduce:
1. rpm -Uvh foo.rpm
2.
3.
    

Actual Results:  Process hangs after 100 % is completed, for example

Preparing...                ########################################### [100%]
   1:nmap                   ########################################### [100%]


but rpm never returns, and has to be killed by kill -9.

Expected Results:  rpm should've installed.

Additional info:
Comment 1 Adam Thompson 2003-04-07 22:59:47 EDT
Same as 87747 ?
Comment 2 leon j. breedt 2003-04-09 08:17:55 EDT
occurs for me whenever i use apt-get to install RPMS, but strangely enough, not
when i use synaptic.
Comment 3 Scott Thomson 2003-04-10 04:31:36 EDT
I get the same problem but in about 10% of all rpm transactions even queries. 
 
I also experience the behaviour described in bug #83281 whenever I try to rebuild. 
 
Running 9.0, upgraded from 8.0 
Comment 4 fred-m 2003-04-10 21:14:00 EDT
I also had this problem in RH8.0, and I'm also having it after upgrading to RH9.

Interestingly, I can't remember having had this problem when using rpm 
functionality through the autoupdate utility(I hope that this is useful as a 
clue).
Comment 5 Jeff Johnson 2003-04-14 11:03:46 EDT
Try (Red Hat 8.0) rpm-4.1.1 or (Red Hat 9) rpm-4.2 packages,
currently at
    ftp://ftp.rpm.org/pub/rpm/test-{4.1.1,4.2}
All known "hang" problems are fixed there.
Comment 6 Joe Pruett 2003-09-11 19:39:29 EDT
this problem is becoming very common for me with 8.x boxes, especially high mghz
cpus.  why isn't it being sent out as a bug fix?  i'm going to download the new
versions and see how it goes.

Note You need to log in before you can comment on or make changes to this bug.